Page MenuHomePhabricator

Upgrade conftool to 0.3.1
Closed, ResolvedPublic

Description

At the moment, confctl exits with code 0 even in case of failure. This bug is fixed in 0.3.1 and it's needed in production.

Event Timeline

Joe created this task.Oct 5 2016, 4:53 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 5 2016, 4:53 PM
Joe triaged this task as High priority.Oct 5 2016, 4:53 PM
Joe moved this task from Backlog to Blocking others on the User-Joe board.
ema moved this task from Triage to etcd on the Traffic board.Oct 6 2016, 8:25 AM
Joe claimed this task.Oct 6 2016, 2:16 PM
Joe moved this task from Blocking others to Doing on the User-Joe board.

Mentioned in SAL (#wikimedia-operations) [2016-10-06T14:40:21Z] <_joe_> uploaded conftool 0.3.1 to apt.w.o, T147480

Mentioned in SAL (#wikimedia-operations) [2016-10-06T15:41:21Z] <_joe_> upgrading conftool to 0.3.1 on all mw*, wtp* servers, T147480 T145518

Mentioned in SAL (#wikimedia-operations) [2016-10-07T10:00:18Z] <_joe_> updated conftool to 0.3.1 on all the cluster except caches, T147480

Joe reassigned this task from Joe to ema.Oct 7 2016, 10:00 AM
Joe moved this task from Doing to Blocked on others on the User-Joe board.
Joe closed this task as Resolved.Oct 24 2016, 1:13 PM
Joe claimed this task.
Joe added a subscriber: ema.